-- tree-image-src.lua is a Soupault plugin.
-- It searches directories for images matching src='' in an img tag
-- and if it finds any it alters the src attribute of img tag.
--
-- See: README.md
--
-- Author: Aoirthoir
-- License: MIT
-- Add1toCOBOL.Lua: http://soupault.add1tocobol.com/add1tocobol-lua
-- Soupault: https://soupault.neocities.org/

Plugin.require_version('1.8')
dofile('plugins/add1tocobol/add1tocobol.lua')
searchpath = ADD1.sitedir..','..ADD1.imagesdir

function tree_images_src()
  src      = HTML.get_attribute(element, 'src')
  filepath = ADD1.find_file_in_tree(searchpath,src)
  if filepath == 'NO FILE FOUND' then
  -- dont do anything 
  -- leave src alone
  else
    filepath = ADD1.trim_left(filepath,ADD1.sitedir)
    HTML.set_attribute(element, 'src', filepath)
  end
end
ADD1.loop_selectors('tree_images_src()')
