-- block-maker.lua is a Soupault plugin.
-- It makes a block and puts elements in it. 
--
-- See: README.md
--
-- Author: Aoirthoir
-- License: MIT
-- Add1toCOBOL.Lua: http://soupault.add1tocobol.com/add1tocobol-lua
-- Soupault: https://soupault.neocities.org/

Plugin.require_version('1.8')
dofile('plugins/add1tocobol/add1tocobol.lua')

if not config.start then 
  Plugin.exit('block-maker.lua: No start=')
end

if config.wrapper then
  wrapper  = HTML.create_element(config.wrapper,'')
else
  wrapper  = HTML.create_element('div','') 
end

if config.class then 
  HTML.add_class(wrapper,config.class)
else
  HTML.add_class(wrapper,config.start)  
end

ADD1.default_selectors()

function block_maker()
  elementClass = HTML.get_attribute(element,'class')
  elementTag   = HTML.get_tag_name(element)
  if elementClass == config.start then
    HTML.insert_before(element, wrapper)
    active = 'yes'
    primer = 'yes'
    if config.ending then 
      ending = config.ending
    else
      ending = elementTag
    end
  end
  if active == 'yes' then
    if elementClass == ending then
      active = 'done'
    elseif elementTag == ending and primer == 'no' then
      active = 'done'
    else
      HTML.append_child(wrapper,element)
    end
    primer = 'no'
  end
end
ADD1.loop_selectors('block_maker()')
